#
# spec file for package perl-Dancer-Session-Cookie
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Dancer-Session-Cookie
Version:        0.30
Release:        1.1
%define cpan_name Dancer-Session-Cookie
Summary:        Encrypted cookie-based session backend for Dancer
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Dancer-Session-Cookie/
Source0:        https://cpan.metacpan.org/authors/id/Y/YA/YANICK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Crypt::CBC)
BuildRequires:  perl(Crypt::Rijndael)
BuildRequires:  perl(Dancer) >= 1.3113
BuildRequires:  perl(Dancer::Cookie)
BuildRequires:  perl(Dancer::Cookies)
BuildRequires:  perl(Dancer::ModuleLoader)
BuildRequires:  perl(Dancer::Session::Abstract)
BuildRequires:  perl(Dancer::Test)
BuildRequires:  perl(HTTP::Cookies)
BuildRequires:  perl(HTTP::Date)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(PerlX::Maybe)
BuildRequires:  perl(Plack) >= 1.0029
BuildRequires:  perl(Plack::Test)
BuildRequires:  perl(Session::Storage::Secure) >= 0.010
BuildRequires:  perl(String::CRC32)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::NoWarnings)
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Time::Duration::Parse)
BuildRequires:  perl(parent)
Requires:       perl(Crypt::CBC)
Requires:       perl(Crypt::Rijndael)
Requires:       perl(Dancer) >= 1.3113
Requires:       perl(Dancer::Cookie)
Requires:       perl(Dancer::Cookies)
Requires:       perl(Dancer::Session::Abstract)
Requires:       perl(PerlX::Maybe)
Requires:       perl(Session::Storage::Secure) >= 0.010
Requires:       perl(String::CRC32)
Requires:       perl(Time::Duration::Parse)
Requires:       perl(parent)
%{perl_requires}

%description
This module implements a session engine for sessions stored entirely in
cookies. Usually only the *session id* is stored in cookies and the session
data itself is saved in some external storage, e.g. a database. This module
allows you to avoid using external storage at all.

Since a server cannot trust any data returned by clients in cookies, this
module uses cryptography to ensure integrity and also secrecy. The data
your application stores in sessions is completely protected from both
tampering and analysis on the client-side.

Do be aware that browsers limit the size of individual cookies, so this
method is not suitable if you wish to store a large amount of data.
Browsers typically limit the size of a cookie to 4KB, but that includes the
space taken to store the cookie's name, expiration and other attributes as
well as its content.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.md CONTRIBUTORS doap.xml README.mkdn
%license LICENSE

%changelog
* Mon Mar 12 2018 coolo@suse.com
- updated to 0.30
  see /usr/share/doc/packages/perl-Dancer-Session-Cookie/Changes
  0.30 2018-03-11
    [ ENHANCEMENTS ]
  - add a CONTRIBUTING file [GH#18, Paul Cochrane]
  - minor refactoring, bump minor Perl version to 5.10.0.
    [ STATISTICS ]
  - code churn: 5 files changed, 127 insertions(+), 26 deletions(-)
* Sun Feb 25 2018 coolo@suse.com
- updated to 0.29
  see /usr/share/doc/packages/perl-Dancer-Session-Cookie/Changes
  0.29 2018-02-19
    [ MISC ]
  - Added appveyor integration for Windows CI. [GH#11, Paul Cochrane]
  - Set minimal Perl version to be 5.8. [GH#10, Paul Cochrane]
  - Misc code cleanup. [GH#14, GH#15, GH#16, GH#17, Paul Cochrane]
  - Added appveyor and travis badges to README. [GH#13, Paul Cochrane]
    [ STATISTICS ]
  - code churn: 12 files changed, 69 insertions(+), 21 deletions(-)
* Mon Feb 12 2018 coolo@suse.com
- updated to 0.28
  see /usr/share/doc/packages/perl-Dancer-Session-Cookie/Changes
  0.28 2018-02-10
    [ BUG FIXES ]
  - Tests require Plack::Test v1.0029+. [GH#8, Mohammad S Anwar]
    [ DOCUMENTATION ]
  - Improve English flow of the POD. [GH#9, Paul Cochrane]
    [ STATISTICS ]
  - code churn: 10 files changed, 105 insertions(+), 48 deletions(-)
* Mon Jun 13 2016 coolo@suse.com
- updated to 0.27
  see /usr/share/doc/packages/perl-Dancer-Session-Cookie/Changes
* Thu May 31 2012 coolo@suse.com
- updated to 0.15
  * skip test 02-configfile.t if YAML is not present
    FIX smoker test failure.
    (Alexis Sukrieh)
* Sat Mar 12 2011 dbahi@novell.com
- release 0.14
  * Fix for Dancer > v1.3012
  * Add support for session_secure to serve https only cookies.
  * Add missing MYMETA.yml
  * Make Dancer::Session::Cookie honor the session_name setting
    added to Dancer::Session::Abstract
  * Add session_cookie_path to control the path of the cookie.
* Tue Dec  7 2010 dbahi@novell.com
- update to 0.13 revision
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Sep 21 2010 dbahi@novell.com
- initial package 0.12
  * created by cpanspec 1.78
